Public Class frm_Test

#Region "Definition"
    Public Enum HDR_INDEX
        clm_NO = 0
        clm_FIRST
        clm_LAST
        clm_AGE

        clm_COUNT = 4
    End Enum

    Dim m_sFirstName() As String = {"Anne", "May", "Diana", "Michelle", "David", "Angela", "Isa", "Shana", "Rey", "Michael"}
    Dim m_sLasName() As String = {"Smith", "Brock", "West", "Jereza", "Powell", "Ho", "Chan", "Nunez", "Villar", "Preston"}
    Dim m_iAge() As Integer = {1, 15, 23, 5, 33, 41, 21, 12, 6, 55}
#End Region

#Region "Member"

#End Region

#Region "Init"

    Private Sub frm_Test_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim iCnt As Integer
        Dim cCombo As FarPoint.Win.Spread.CellType.ComboBoxCellType
        Dim listBox As ListBox

        Try
            'Initialize spread
            With Me.fps_Test
                .ActiveSheet.RowCount = m_sFirstName.Length

                'header init
                .ActiveSheet.AddColumnHeaderSpanCell(0, HDR_INDEX.clm_AGE, 1, 2)

                listBox = New ListBox
                listBox.Items.Insert(0, "yrs")
                listBox.Items.Insert(1, "mo")
                cCombo = New FarPoint.Win.Spread.CellType.ComboBoxCellType
                cCombo.ListControl = listBox
                cCombo.ListControl.SelectedIndex = 0

                For iCnt = 0 To m_sFirstName.Length - 1
                    .ActiveSheet.Cells.Get(iCnt, HDR_INDEX.clm_NO).Value = iCnt
                    .ActiveSheet.Cells.Get(iCnt, HDR_INDEX.clm_FIRST).Value = m_sFirstName(iCnt)
                    .ActiveSheet.Cells.Get(iCnt, HDR_INDEX.clm_LAST).Value = m_sLasName(iCnt)
                    .ActiveSheet.Cells.Get(iCnt, HDR_INDEX.clm_AGE).Value = m_iAge(iCnt)
                    .ActiveSheet.Cells.Get(iCnt, HDR_INDEX.clm_AGE + 1).CellType = cCombo
                Next
            End With
        Catch ex As Exception
            MessageBox.Show(ex.ToString)
        End Try
    End Sub

#End Region

#Region "Event"

    Private Sub btn_Close_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn_Close.Click
        Try
            Me.Close()
        Catch ex As Exception
            MessageBox.Show(ex.ToString)
        End Try
    End Sub

    Private Sub fps_Test_ColumnDragMove(ByVal sender As Object, ByVal e As FarPoint.Win.Spread.DragMoveEventArgs) Handles fps_Test.ColumnDragMove
        Try

        Catch ex As Exception
            MessageBox.Show(ex.ToString)
        End Try
    End Sub

    Private Sub fps_Test_ColumnDragMoveCompleted(ByVal sender As Object, ByVal e As FarPoint.Win.Spread.DragMoveCompletedEventArgs) Handles fps_Test.ColumnDragMoveCompleted
        Try

        Catch ex As Exception
            MessageBox.Show(ex.ToString)
        End Try
    End Sub

#End Region


End Class
